/**         @file  module.h
 *         @brief  Internal ABI shared by all modules with modmgr
 *          @date  17/11/2017
 *        @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *     @copyright  Copyright (c) 2017, François Cerbelle
 *
 *   @internal
 *       Compiler  gcc
 *  Last modified  2024-07-02 09:51
 *   Organization  Cerbelle.net
 *        Company  Home
 *
 *   This source code is released for free distribution under the terms of the
 *   GNU General Public License as published by the Free Software Foundation.
 */


#ifndef __MODULE_H__
#define __MODULE_H__

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct moduleinfo_s {
    const char* moduleName;
    const char* moduleDesc;
    const uint8_t moduleMajor;
    const uint8_t moduleMinor;
    const uint8_t modulePatch;
    const char* moduleAuthor;
    const char* moduleEmail;
    const char* moduleURL;
    const char* moduleLicense;
} moduleinfo_t;

#ifdef __cplusplus
}
#endif

#endif /* __MODULE_H__ */
